# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cc_resolve - Resolve a credential cache name.

krb5_error_code krb5_cc_resolve(krb5_context context, const char *name, krb5_ccache *cache)

param:

  [in] context - Library context

  [in] name - Credential cache name to be resolved

  [out] cache - Credential cache handle

retval:

  - 0 Success

return:

  - Kerberos error codes

Fills in cache with a cache handle that corresponds to the name in name . name should be of the form type:residual , and type must be a type known to the library. If the name does not contain a colon, interpret it as a file name.